Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ImR_NT_Service Class Reference

Allows the Implementation Repository to act as a Windows NT Service. More...

`#include <NT_Service.h>`

Inheritance diagram for ImR_NT_Service

[legend]
Collaboration diagram for ImR_NT_Service:

[legend]
List of all members.

## Public Types
typedef TAO_SYNCH_RECURSIVE_MUTEX | MUTEX
## Public Methods
| ImR_NT_Service (void)
| Constructor (not protected since it is used by ACE_NT_SERVICE_DEFINE).
virtual | ~ImR_NT_Service (void)
| Destructor.
virtual void | handle_control (DWORD control_code)
| We override <handle_control> because it handles stop requests privately.
virtual int | handle_exception (ACE_HANDLE h)
| We override <handle_exception> so a 'stop' control code can wake the reactor off of its wait.
virtual int | svc (void)
| This is a virtual method inherited from ACE_NT_Service.
## Friends
class | ACE_Singleton< ImR_NT_Service,MUTEX >

## Detailed Description

Allows the Implementation Repository to act as a Windows NT Service.

## Member Typedef Documentation

typedef TAO_SYNCH_RECURSIVE_MUTEX ImR_NT_Service::MUTEX

## Constructor & Destructor Documentation

ImR_NT_Service::ImR_NT_Service ( | void )

| Constructor (not protected since it is used by ACE_NT_SERVICE_DEFINE).

ImR_NT_Service::~ImR_NT_Service ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void ImR_NT_Service::handle_control ( | DWORD control_code )`[virtual]`

| We override <handle_control> because it handles stop requests privately. Reimplemented from ACE_NT_Service.

int ImR_NT_Service::handle_exception ( | ACE_HANDLE h )`[virtual]`

| We override <handle_exception> so a 'stop' control code can wake the reactor off of its wait. Reimplemented from ACE_Event_Handler.

int ImR_NT_Service::svc ( | void )`[virtual]`

| This is a virtual method inherited from ACE_NT_Service. Reimplemented from ACE_NT_Service.

## Friends And Related Function Documentation

class ACE_Singleton`[friend]`

The documentation for this class was generated from the following file:

- NT_Service.h